Index: contrib/crossrpms/rtems4.7/arm/Makefile.am
===================================================================
--- contrib/crossrpms/rtems4.7/arm/Makefile.am	(revision 1793d8bf652fb14eabb4cc972b09ab3a14093322)
+++ contrib/crossrpms/rtems4.7/arm/Makefile.am	(revision 93745d5b1064c883c827a97e061b23d9864c407d)
@@ -20,5 +20,5 @@
 GDB_VERS = 6.5
 GDB_PKGVERS = $(GDB_VERS)
-GDB_RPMREL = 2
+GDB_RPMREL = 3
 include ../gdb.am
 GDB_OPTS +=
Index: contrib/crossrpms/rtems4.7/arm/gdb-sources.add
===================================================================
--- contrib/crossrpms/rtems4.7/arm/gdb-sources.add	(revision 1793d8bf652fb14eabb4cc972b09ab3a14093322)
+++ contrib/crossrpms/rtems4.7/arm/gdb-sources.add	(revision 93745d5b1064c883c827a97e061b23d9864c407d)
@@ -2,5 +2,5 @@
 %{?_without_sources:NoSource:	0}
 %if "%{gdb_version}" == "6.5"
-Patch0:		gdb-6.5-rtems-20060713.diff
+Patch0:		gdb-6.5-rtems4.7-20071115.diff
 %endif
 %if "%{gdb_version}" == "6.6"
Index: contrib/crossrpms/rtems4.7/avr/Makefile.am
===================================================================
--- contrib/crossrpms/rtems4.7/avr/Makefile.am	(revision 1793d8bf652fb14eabb4cc972b09ab3a14093322)
+++ contrib/crossrpms/rtems4.7/avr/Makefile.am	(revision 93745d5b1064c883c827a97e061b23d9864c407d)
@@ -20,5 +20,5 @@
 GDB_VERS = 6.5
 GDB_PKGVERS = $(GDB_VERS)
-GDB_RPMREL = 2
+GDB_RPMREL = 3
 include ../gdb.am
 GDB_OPTS +=
Index: contrib/crossrpms/rtems4.7/avr/gdb-sources.add
===================================================================
--- contrib/crossrpms/rtems4.7/avr/gdb-sources.add	(revision 1793d8bf652fb14eabb4cc972b09ab3a14093322)
+++ contrib/crossrpms/rtems4.7/avr/gdb-sources.add	(revision 93745d5b1064c883c827a97e061b23d9864c407d)
@@ -2,5 +2,5 @@
 %{?_without_sources:NoSource:	0}
 %if "%{gdb_version}" == "6.5"
-Patch0:		gdb-6.5-rtems-20060713.diff
+Patch0:		gdb-6.5-rtems4.7-20071115.diff
 %endif
 %if "%{gdb_version}" == "6.6"
Index: contrib/crossrpms/rtems4.7/h8300/Makefile.am
===================================================================
--- contrib/crossrpms/rtems4.7/h8300/Makefile.am	(revision 1793d8bf652fb14eabb4cc972b09ab3a14093322)
+++ contrib/crossrpms/rtems4.7/h8300/Makefile.am	(revision 93745d5b1064c883c827a97e061b23d9864c407d)
@@ -20,5 +20,5 @@
 GDB_VERS = 6.5
 GDB_PKGVERS = $(GDB_VERS)
-GDB_RPMREL = 2
+GDB_RPMREL = 3
 include ../gdb.am
 GDB_OPTS +=
Index: contrib/crossrpms/rtems4.7/h8300/gdb-sources.add
===================================================================
--- contrib/crossrpms/rtems4.7/h8300/gdb-sources.add	(revision 1793d8bf652fb14eabb4cc972b09ab3a14093322)
+++ contrib/crossrpms/rtems4.7/h8300/gdb-sources.add	(revision 93745d5b1064c883c827a97e061b23d9864c407d)
@@ -2,5 +2,5 @@
 %{?_without_sources:NoSource:	0}
 %if "%{gdb_version}" == "6.5"
-Patch0:		gdb-6.5-rtems-20060713.diff
+Patch0:		gdb-6.5-rtems4.7-20071115.diff
 %endif
 %if "%{gdb_version}" == "6.6"
Index: contrib/crossrpms/rtems4.7/i386/Makefile.am
===================================================================
--- contrib/crossrpms/rtems4.7/i386/Makefile.am	(revision 1793d8bf652fb14eabb4cc972b09ab3a14093322)
+++ contrib/crossrpms/rtems4.7/i386/Makefile.am	(revision 93745d5b1064c883c827a97e061b23d9864c407d)
@@ -20,5 +20,5 @@
 GDB_VERS = 6.5
 GDB_PKGVERS = $(GDB_VERS)
-GDB_RPMREL = 2
+GDB_RPMREL = 3
 include ../gdb.am
 GDB_OPTS +=
Index: contrib/crossrpms/rtems4.7/i386/gdb-sources.add
===================================================================
--- contrib/crossrpms/rtems4.7/i386/gdb-sources.add	(revision 1793d8bf652fb14eabb4cc972b09ab3a14093322)
+++ contrib/crossrpms/rtems4.7/i386/gdb-sources.add	(revision 93745d5b1064c883c827a97e061b23d9864c407d)
@@ -2,5 +2,5 @@
 %{?_without_sources:NoSource:	0}
 %if "%{gdb_version}" == "6.5"
-Patch0:		gdb-6.5-rtems-20060713.diff
+Patch0:		gdb-6.5-rtems4.7-20071115.diff
 %endif
 %if "%{gdb_version}" == "6.6"
Index: contrib/crossrpms/rtems4.7/m68k/Makefile.am
===================================================================
--- contrib/crossrpms/rtems4.7/m68k/Makefile.am	(revision 1793d8bf652fb14eabb4cc972b09ab3a14093322)
+++ contrib/crossrpms/rtems4.7/m68k/Makefile.am	(revision 93745d5b1064c883c827a97e061b23d9864c407d)
@@ -20,5 +20,5 @@
 GDB_VERS = 6.5
 GDB_PKGVERS = $(GDB_VERS)
-GDB_RPMREL = 2
+GDB_RPMREL = 3
 include ../gdb.am
 GDB_OPTS +=
Index: contrib/crossrpms/rtems4.7/m68k/gdb-sources.add
===================================================================
--- contrib/crossrpms/rtems4.7/m68k/gdb-sources.add	(revision 1793d8bf652fb14eabb4cc972b09ab3a14093322)
+++ contrib/crossrpms/rtems4.7/m68k/gdb-sources.add	(revision 93745d5b1064c883c827a97e061b23d9864c407d)
@@ -2,5 +2,5 @@
 %{?_without_sources:NoSource:	0}
 %if "%{gdb_version}" == "6.5"
-Patch0:		gdb-6.5-rtems-20060713.diff
+Patch0:		gdb-6.5-rtems4.7-20071115.diff
 %endif
 %if "%{gdb_version}" == "6.6"
Index: contrib/crossrpms/rtems4.7/mips/Makefile.am
===================================================================
--- contrib/crossrpms/rtems4.7/mips/Makefile.am	(revision 1793d8bf652fb14eabb4cc972b09ab3a14093322)
+++ contrib/crossrpms/rtems4.7/mips/Makefile.am	(revision 93745d5b1064c883c827a97e061b23d9864c407d)
@@ -20,5 +20,5 @@
 GDB_VERS = 6.5
 GDB_PKGVERS = $(GDB_VERS)
-GDB_RPMREL = 2
+GDB_RPMREL = 3
 include ../gdb.am
 GDB_OPTS +=
Index: contrib/crossrpms/rtems4.7/mips/gdb-sources.add
===================================================================
--- contrib/crossrpms/rtems4.7/mips/gdb-sources.add	(revision 1793d8bf652fb14eabb4cc972b09ab3a14093322)
+++ contrib/crossrpms/rtems4.7/mips/gdb-sources.add	(revision 93745d5b1064c883c827a97e061b23d9864c407d)
@@ -2,5 +2,5 @@
 %{?_without_sources:NoSource:	0}
 %if "%{gdb_version}" == "6.5"
-Patch0:		gdb-6.5-rtems-20060713.diff
+Patch0:		gdb-6.5-rtems4.7-20071115.diff
 %endif
 %if "%{gdb_version}" == "6.6"
Index: contrib/crossrpms/rtems4.7/mipstx39/Makefile.am
===================================================================
--- contrib/crossrpms/rtems4.7/mipstx39/Makefile.am	(revision 1793d8bf652fb14eabb4cc972b09ab3a14093322)
+++ contrib/crossrpms/rtems4.7/mipstx39/Makefile.am	(revision 93745d5b1064c883c827a97e061b23d9864c407d)
@@ -8,5 +8,5 @@
 GDB_VERS = 6.5
 GDB_PKGVERS = $(GDB_VERS)
-GDB_RPMREL = 2
+GDB_RPMREL = 3
 include ../gdb.am
 GDB_OPTS +=
Index: contrib/crossrpms/rtems4.7/mipstx39/gdb-sources.add
===================================================================
--- contrib/crossrpms/rtems4.7/mipstx39/gdb-sources.add	(revision 1793d8bf652fb14eabb4cc972b09ab3a14093322)
+++ contrib/crossrpms/rtems4.7/mipstx39/gdb-sources.add	(revision 93745d5b1064c883c827a97e061b23d9864c407d)
@@ -2,5 +2,5 @@
 %{?_without_sources:NoSource:	0}
 %if "%{gdb_version}" == "6.5"
-Patch0:		gdb-6.5-rtems-20060713.diff
+Patch0:		gdb-6.5-rtems4.7-20071115.diff
 %endif
 %if "%{gdb_version}" == "6.6"
Index: contrib/crossrpms/rtems4.7/powerpc/Makefile.am
===================================================================
--- contrib/crossrpms/rtems4.7/powerpc/Makefile.am	(revision 1793d8bf652fb14eabb4cc972b09ab3a14093322)
+++ contrib/crossrpms/rtems4.7/powerpc/Makefile.am	(revision 93745d5b1064c883c827a97e061b23d9864c407d)
@@ -20,5 +20,5 @@
 GDB_VERS = 6.5
 GDB_PKGVERS = $(GDB_VERS)
-GDB_RPMREL = 2
+GDB_RPMREL = 3
 include ../gdb.am
 GDB_OPTS +=
Index: contrib/crossrpms/rtems4.7/powerpc/gdb-sources.add
===================================================================
--- contrib/crossrpms/rtems4.7/powerpc/gdb-sources.add	(revision 1793d8bf652fb14eabb4cc972b09ab3a14093322)
+++ contrib/crossrpms/rtems4.7/powerpc/gdb-sources.add	(revision 93745d5b1064c883c827a97e061b23d9864c407d)
@@ -2,5 +2,5 @@
 %{?_without_sources:NoSource:	0}
 %if "%{gdb_version}" == "6.5"
-Patch0:		gdb-6.5-rtems-20060713.diff
+Patch0:		gdb-6.5-rtems4.7-20071115.diff
 %endif
 %if "%{gdb_version}" == "6.6"
Index: contrib/crossrpms/rtems4.7/sh/Makefile.am
===================================================================
--- contrib/crossrpms/rtems4.7/sh/Makefile.am	(revision 1793d8bf652fb14eabb4cc972b09ab3a14093322)
+++ contrib/crossrpms/rtems4.7/sh/Makefile.am	(revision 93745d5b1064c883c827a97e061b23d9864c407d)
@@ -20,5 +20,5 @@
 GDB_VERS = 6.5
 GDB_PKGVERS = $(GDB_VERS)
-GDB_RPMREL = 2
+GDB_RPMREL = 3
 include ../gdb.am
 GDB_OPTS +=
Index: contrib/crossrpms/rtems4.7/sh/gdb-sources.add
===================================================================
--- contrib/crossrpms/rtems4.7/sh/gdb-sources.add	(revision 1793d8bf652fb14eabb4cc972b09ab3a14093322)
+++ contrib/crossrpms/rtems4.7/sh/gdb-sources.add	(revision 93745d5b1064c883c827a97e061b23d9864c407d)
@@ -2,5 +2,5 @@
 %{?_without_sources:NoSource:	0}
 %if "%{gdb_version}" == "6.5"
-Patch0:		gdb-6.5-rtems-20060713.diff
+Patch0:		gdb-6.5-rtems4.7-20071115.diff
 %endif
 %if "%{gdb_version}" == "6.6"
Index: contrib/crossrpms/rtems4.7/sparc/Makefile.am
===================================================================
--- contrib/crossrpms/rtems4.7/sparc/Makefile.am	(revision 1793d8bf652fb14eabb4cc972b09ab3a14093322)
+++ contrib/crossrpms/rtems4.7/sparc/Makefile.am	(revision 93745d5b1064c883c827a97e061b23d9864c407d)
@@ -20,5 +20,5 @@
 GDB_VERS = 6.5
 GDB_PKGVERS = $(GDB_VERS)
-GDB_RPMREL = 2
+GDB_RPMREL = 3
 include ../gdb.am
 GDB_OPTS +=