Index: c/src/lib/libbsp/m68k/ChangeLog
===================================================================
--- c/src/lib/libbsp/m68k/ChangeLog	(revision 7df6efc5666063bbaad0c2ad70d4cf2273b8dd0b)
+++ c/src/lib/libbsp/m68k/ChangeLog	(revision 97891e5ea3676281144768e1c26e124d01f9f6c6)
@@ -1,2 +1,6 @@
+2004-09-24	Ralf Corsepius <ralf_corsepius@rtems.org>
+
+	* configure.ac: Require automake > 1.9.
+
 2004-08-03	Jay Monkman <jtm@lopingdog.com>
 
Index: c/src/lib/libbsp/m68k/configure.ac
===================================================================
--- c/src/lib/libbsp/m68k/configure.ac	(revision 7df6efc5666063bbaad0c2ad70d4cf2273b8dd0b)
+++ c/src/lib/libbsp/m68k/configure.ac	(revision 97891e5ea3676281144768e1c26e124d01f9f6c6)
@@ -9,5 +9,5 @@
 
 RTEMS_CANONICAL_TARGET_CPU
-AM_INIT_AUTOMAKE([no-define foreign 1.8])
+AM_INIT_AUTOMAKE([no-define foreign 1.9)
 AM_MAINTAINER_MODE
 
Index: c/src/lib/libbsp/m68k/csb360/ChangeLog
===================================================================
--- c/src/lib/libbsp/m68k/csb360/ChangeLog	(revision 7df6efc5666063bbaad0c2ad70d4cf2273b8dd0b)
+++ c/src/lib/libbsp/m68k/csb360/ChangeLog	(revision 97891e5ea3676281144768e1c26e124d01f9f6c6)
@@ -1,2 +1,6 @@
+2004-09-24	Ralf Corsepius <ralf_corsepius@rtems.org>
+
+	* configure.ac: Require automake > 1.9.
+
 2004-09-15	Joel Sherrill <joel@OARcorp.com>
 
Index: c/src/lib/libbsp/m68k/csb360/configure.ac
===================================================================
--- c/src/lib/libbsp/m68k/csb360/configure.ac	(revision 7df6efc5666063bbaad0c2ad70d4cf2273b8dd0b)
+++ c/src/lib/libbsp/m68k/csb360/configure.ac	(revision 97891e5ea3676281144768e1c26e124d01f9f6c6)
@@ -9,5 +9,5 @@
 
 RTEMS_CANONICAL_TARGET_CPU
-AM_INIT_AUTOMAKE([no-define nostdinc foreign 1.8])
+AM_INIT_AUTOMAKE([no-define nostdinc foreign 1.9)
 RTEMS_BSP_CONFIGURE
 
Index: c/src/lib/libbsp/m68k/dmv152/ChangeLog
===================================================================
--- c/src/lib/libbsp/m68k/dmv152/ChangeLog	(revision 7df6efc5666063bbaad0c2ad70d4cf2273b8dd0b)
+++ c/src/lib/libbsp/m68k/dmv152/ChangeLog	(revision 97891e5ea3676281144768e1c26e124d01f9f6c6)
@@ -1,2 +1,6 @@
+2004-09-24	Ralf Corsepius <ralf_corsepius@rtems.org>
+
+	* configure.ac: Require automake > 1.9.
+
 2004-04-23	Ralf Corsepius <ralf_corsepius@rtems.org>
 
Index: c/src/lib/libbsp/m68k/dmv152/configure.ac
===================================================================
--- c/src/lib/libbsp/m68k/dmv152/configure.ac	(revision 7df6efc5666063bbaad0c2ad70d4cf2273b8dd0b)
+++ c/src/lib/libbsp/m68k/dmv152/configure.ac	(revision 97891e5ea3676281144768e1c26e124d01f9f6c6)
@@ -9,5 +9,5 @@
 
 RTEMS_CANONICAL_TARGET_CPU
-AM_INIT_AUTOMAKE([no-define nostdinc foreign 1.8])
+AM_INIT_AUTOMAKE([no-define nostdinc foreign 1.9)
 RTEMS_BSP_CONFIGURE
 
Index: c/src/lib/libbsp/m68k/gen68302/ChangeLog
===================================================================
--- c/src/lib/libbsp/m68k/gen68302/ChangeLog	(revision 7df6efc5666063bbaad0c2ad70d4cf2273b8dd0b)
+++ c/src/lib/libbsp/m68k/gen68302/ChangeLog	(revision 97891e5ea3676281144768e1c26e124d01f9f6c6)
@@ -1,2 +1,6 @@
+2004-09-24	Ralf Corsepius <ralf_corsepius@rtems.org>
+
+	* configure.ac: Require automake > 1.9.
+
 2004-07-25	Joel Sherrill <joel@OARcorp.com>
 
Index: c/src/lib/libbsp/m68k/gen68302/configure.ac
===================================================================
--- c/src/lib/libbsp/m68k/gen68302/configure.ac	(revision 7df6efc5666063bbaad0c2ad70d4cf2273b8dd0b)
+++ c/src/lib/libbsp/m68k/gen68302/configure.ac	(revision 97891e5ea3676281144768e1c26e124d01f9f6c6)
@@ -9,5 +9,5 @@
 
 RTEMS_CANONICAL_TARGET_CPU
-AM_INIT_AUTOMAKE([no-define nostdinc foreign 1.8])
+AM_INIT_AUTOMAKE([no-define nostdinc foreign 1.9)
 RTEMS_BSP_CONFIGURE
 
Index: c/src/lib/libbsp/m68k/gen68340/ChangeLog
===================================================================
--- c/src/lib/libbsp/m68k/gen68340/ChangeLog	(revision 7df6efc5666063bbaad0c2ad70d4cf2273b8dd0b)
+++ c/src/lib/libbsp/m68k/gen68340/ChangeLog	(revision 97891e5ea3676281144768e1c26e124d01f9f6c6)
@@ -1,2 +1,6 @@
+2004-09-24	Ralf Corsepius <ralf_corsepius@rtems.org>
+
+	* configure.ac: Require automake > 1.9.
+
 2004-04-23	Ralf Corsepius <ralf_corsepius@rtems.org>
 
Index: c/src/lib/libbsp/m68k/gen68340/configure.ac
===================================================================
--- c/src/lib/libbsp/m68k/gen68340/configure.ac	(revision 7df6efc5666063bbaad0c2ad70d4cf2273b8dd0b)
+++ c/src/lib/libbsp/m68k/gen68340/configure.ac	(revision 97891e5ea3676281144768e1c26e124d01f9f6c6)
@@ -9,5 +9,5 @@
 
 RTEMS_CANONICAL_TARGET_CPU
-AM_INIT_AUTOMAKE([no-define nostdinc foreign 1.8])
+AM_INIT_AUTOMAKE([no-define nostdinc foreign 1.9)
 RTEMS_BSP_CONFIGURE
 
Index: c/src/lib/libbsp/m68k/gen68360/ChangeLog
===================================================================
--- c/src/lib/libbsp/m68k/gen68360/ChangeLog	(revision 7df6efc5666063bbaad0c2ad70d4cf2273b8dd0b)
+++ c/src/lib/libbsp/m68k/gen68360/ChangeLog	(revision 97891e5ea3676281144768e1c26e124d01f9f6c6)
@@ -1,2 +1,6 @@
+2004-09-24	Ralf Corsepius <ralf_corsepius@rtems.org>
+
+	* configure.ac: Require automake > 1.9.
+
 2004-05-21	Joel Sherrill <joel@OARcorp.com>
 
Index: c/src/lib/libbsp/m68k/gen68360/configure.ac
===================================================================
--- c/src/lib/libbsp/m68k/gen68360/configure.ac	(revision 7df6efc5666063bbaad0c2ad70d4cf2273b8dd0b)
+++ c/src/lib/libbsp/m68k/gen68360/configure.ac	(revision 97891e5ea3676281144768e1c26e124d01f9f6c6)
@@ -9,5 +9,5 @@
 
 RTEMS_CANONICAL_TARGET_CPU
-AM_INIT_AUTOMAKE([no-define nostdinc foreign 1.8])
+AM_INIT_AUTOMAKE([no-define nostdinc foreign 1.9)
 RTEMS_BSP_CONFIGURE
 
Index: c/src/lib/libbsp/m68k/idp/ChangeLog
===================================================================
--- c/src/lib/libbsp/m68k/idp/ChangeLog	(revision 7df6efc5666063bbaad0c2ad70d4cf2273b8dd0b)
+++ c/src/lib/libbsp/m68k/idp/ChangeLog	(revision 97891e5ea3676281144768e1c26e124d01f9f6c6)
@@ -1,2 +1,6 @@
+2004-09-24	Ralf Corsepius <ralf_corsepius@rtems.org>
+
+	* configure.ac: Require automake > 1.9.
+
 2004-04-23	Ralf Corsepius <ralf_corsepius@rtems.org>
 
Index: c/src/lib/libbsp/m68k/idp/configure.ac
===================================================================
--- c/src/lib/libbsp/m68k/idp/configure.ac	(revision 7df6efc5666063bbaad0c2ad70d4cf2273b8dd0b)
+++ c/src/lib/libbsp/m68k/idp/configure.ac	(revision 97891e5ea3676281144768e1c26e124d01f9f6c6)
@@ -9,5 +9,5 @@
 
 RTEMS_CANONICAL_TARGET_CPU
-AM_INIT_AUTOMAKE([no-define nostdinc foreign 1.8])
+AM_INIT_AUTOMAKE([no-define nostdinc foreign 1.9)
 RTEMS_BSP_CONFIGURE
 
Index: c/src/lib/libbsp/m68k/mcf5206elite/ChangeLog
===================================================================
--- c/src/lib/libbsp/m68k/mcf5206elite/ChangeLog	(revision 7df6efc5666063bbaad0c2ad70d4cf2273b8dd0b)
+++ c/src/lib/libbsp/m68k/mcf5206elite/ChangeLog	(revision 97891e5ea3676281144768e1c26e124d01f9f6c6)
@@ -1,2 +1,6 @@
+2004-09-24	Ralf Corsepius <ralf_corsepius@rtems.org>
+
+	* configure.ac: Require automake > 1.9.
+
 2004-04-23	Ralf Corsepius <ralf_corsepius@rtems.org>
 
Index: c/src/lib/libbsp/m68k/mcf5206elite/configure.ac
===================================================================
--- c/src/lib/libbsp/m68k/mcf5206elite/configure.ac	(revision 7df6efc5666063bbaad0c2ad70d4cf2273b8dd0b)
+++ c/src/lib/libbsp/m68k/mcf5206elite/configure.ac	(revision 97891e5ea3676281144768e1c26e124d01f9f6c6)
@@ -9,5 +9,5 @@
 
 RTEMS_CANONICAL_TARGET_CPU
-AM_INIT_AUTOMAKE([no-define nostdinc foreign 1.8])
+AM_INIT_AUTOMAKE([no-define nostdinc foreign 1.9)
 RTEMS_BSP_CONFIGURE
 
Index: c/src/lib/libbsp/m68k/mcf5206elite/tools/ChangeLog
===================================================================
--- c/src/lib/libbsp/m68k/mcf5206elite/tools/ChangeLog	(revision 7df6efc5666063bbaad0c2ad70d4cf2273b8dd0b)
+++ c/src/lib/libbsp/m68k/mcf5206elite/tools/ChangeLog	(revision 97891e5ea3676281144768e1c26e124d01f9f6c6)
@@ -1,2 +1,6 @@
+2004-09-24	Ralf Corsepius <ralf_corsepius@rtems.org>
+
+	* configure.ac: Require automake > 1.9.
+
 2004-01-14	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
 
Index: c/src/lib/libbsp/m68k/mcf5206elite/tools/configure.ac
===================================================================
--- c/src/lib/libbsp/m68k/mcf5206elite/tools/configure.ac	(revision 7df6efc5666063bbaad0c2ad70d4cf2273b8dd0b)
+++ c/src/lib/libbsp/m68k/mcf5206elite/tools/configure.ac	(revision 97891e5ea3676281144768e1c26e124d01f9f6c6)
@@ -12,5 +12,5 @@
 RTEMS_CANONICAL_TARGET_CPU
 
-AM_INIT_AUTOMAKE([no-define foreign 1.8])
+AM_INIT_AUTOMAKE([no-define foreign 1.9)
 AM_MAINTAINER_MODE
 
Index: c/src/lib/libbsp/m68k/mrm332/ChangeLog
===================================================================
--- c/src/lib/libbsp/m68k/mrm332/ChangeLog	(revision 7df6efc5666063bbaad0c2ad70d4cf2273b8dd0b)
+++ c/src/lib/libbsp/m68k/mrm332/ChangeLog	(revision 97891e5ea3676281144768e1c26e124d01f9f6c6)
@@ -1,2 +1,6 @@
+2004-09-24	Ralf Corsepius <ralf_corsepius@rtems.org>
+
+	* configure.ac: Require automake > 1.9.
+
 2004-04-23	Ralf Corsepius <ralf_corsepius@rtems.org>
 
Index: c/src/lib/libbsp/m68k/mrm332/configure.ac
===================================================================
--- c/src/lib/libbsp/m68k/mrm332/configure.ac	(revision 7df6efc5666063bbaad0c2ad70d4cf2273b8dd0b)
+++ c/src/lib/libbsp/m68k/mrm332/configure.ac	(revision 97891e5ea3676281144768e1c26e124d01f9f6c6)
@@ -9,5 +9,5 @@
 
 RTEMS_CANONICAL_TARGET_CPU
-AM_INIT_AUTOMAKE([no-define nostdinc foreign 1.8])
+AM_INIT_AUTOMAKE([no-define nostdinc foreign 1.9)
 RTEMS_BSP_CONFIGURE
 
Index: c/src/lib/libbsp/m68k/mvme136/ChangeLog
===================================================================
--- c/src/lib/libbsp/m68k/mvme136/ChangeLog	(revision 7df6efc5666063bbaad0c2ad70d4cf2273b8dd0b)
+++ c/src/lib/libbsp/m68k/mvme136/ChangeLog	(revision 97891e5ea3676281144768e1c26e124d01f9f6c6)
@@ -1,2 +1,6 @@
+2004-09-24	Ralf Corsepius <ralf_corsepius@rtems.org>
+
+	* configure.ac: Require automake > 1.9.
+
 2004-04-23	Ralf Corsepius <ralf_corsepius@rtems.org>
 
Index: c/src/lib/libbsp/m68k/mvme136/configure.ac
===================================================================
--- c/src/lib/libbsp/m68k/mvme136/configure.ac	(revision 7df6efc5666063bbaad0c2ad70d4cf2273b8dd0b)
+++ c/src/lib/libbsp/m68k/mvme136/configure.ac	(revision 97891e5ea3676281144768e1c26e124d01f9f6c6)
@@ -9,5 +9,5 @@
 
 RTEMS_CANONICAL_TARGET_CPU
-AM_INIT_AUTOMAKE([no-define nostdinc foreign 1.8])
+AM_INIT_AUTOMAKE([no-define nostdinc foreign 1.9)
 RTEMS_BSP_CONFIGURE
 
Index: c/src/lib/libbsp/m68k/mvme147/ChangeLog
===================================================================
--- c/src/lib/libbsp/m68k/mvme147/ChangeLog	(revision 7df6efc5666063bbaad0c2ad70d4cf2273b8dd0b)
+++ c/src/lib/libbsp/m68k/mvme147/ChangeLog	(revision 97891e5ea3676281144768e1c26e124d01f9f6c6)
@@ -1,2 +1,6 @@
+2004-09-24	Ralf Corsepius <ralf_corsepius@rtems.org>
+
+	* configure.ac: Require automake > 1.9.
+
 2004-04-23	Ralf Corsepius <ralf_corsepius@rtems.org>
 
Index: c/src/lib/libbsp/m68k/mvme147/configure.ac
===================================================================
--- c/src/lib/libbsp/m68k/mvme147/configure.ac	(revision 7df6efc5666063bbaad0c2ad70d4cf2273b8dd0b)
+++ c/src/lib/libbsp/m68k/mvme147/configure.ac	(revision 97891e5ea3676281144768e1c26e124d01f9f6c6)
@@ -9,5 +9,5 @@
 
 RTEMS_CANONICAL_TARGET_CPU
-AM_INIT_AUTOMAKE([no-define nostdinc foreign 1.8])
+AM_INIT_AUTOMAKE([no-define nostdinc foreign 1.9)
 RTEMS_BSP_CONFIGURE
 
Index: c/src/lib/libbsp/m68k/mvme147s/ChangeLog
===================================================================
--- c/src/lib/libbsp/m68k/mvme147s/ChangeLog	(revision 7df6efc5666063bbaad0c2ad70d4cf2273b8dd0b)
+++ c/src/lib/libbsp/m68k/mvme147s/ChangeLog	(revision 97891e5ea3676281144768e1c26e124d01f9f6c6)
@@ -1,2 +1,6 @@
+2004-09-24	Ralf Corsepius <ralf_corsepius@rtems.org>
+
+	* configure.ac: Require automake > 1.9.
+
 2004-04-23	Ralf Corsepius <ralf_corsepius@rtems.org>
 
Index: c/src/lib/libbsp/m68k/mvme147s/configure.ac
===================================================================
--- c/src/lib/libbsp/m68k/mvme147s/configure.ac	(revision 7df6efc5666063bbaad0c2ad70d4cf2273b8dd0b)
+++ c/src/lib/libbsp/m68k/mvme147s/configure.ac	(revision 97891e5ea3676281144768e1c26e124d01f9f6c6)
@@ -9,5 +9,5 @@
 
 RTEMS_CANONICAL_TARGET_CPU
-AM_INIT_AUTOMAKE([no-define nostdinc foreign 1.8])
+AM_INIT_AUTOMAKE([no-define nostdinc foreign 1.9)
 RTEMS_BSP_CONFIGURE
 
Index: c/src/lib/libbsp/m68k/mvme162/ChangeLog
===================================================================
--- c/src/lib/libbsp/m68k/mvme162/ChangeLog	(revision 7df6efc5666063bbaad0c2ad70d4cf2273b8dd0b)
+++ c/src/lib/libbsp/m68k/mvme162/ChangeLog	(revision 97891e5ea3676281144768e1c26e124d01f9f6c6)
@@ -1,2 +1,6 @@
+2004-09-24	Ralf Corsepius <ralf_corsepius@rtems.org>
+
+	* configure.ac: Require automake > 1.9.
+
 2004-04-23	Ralf Corsepius <ralf_corsepius@rtems.org>
 
Index: c/src/lib/libbsp/m68k/mvme162/configure.ac
===================================================================
--- c/src/lib/libbsp/m68k/mvme162/configure.ac	(revision 7df6efc5666063bbaad0c2ad70d4cf2273b8dd0b)
+++ c/src/lib/libbsp/m68k/mvme162/configure.ac	(revision 97891e5ea3676281144768e1c26e124d01f9f6c6)
@@ -9,5 +9,5 @@
 
 RTEMS_CANONICAL_TARGET_CPU
-AM_INIT_AUTOMAKE([no-define nostdinc foreign 1.8])
+AM_INIT_AUTOMAKE([no-define nostdinc foreign 1.9)
 RTEMS_BSP_CONFIGURE
 
Index: c/src/lib/libbsp/m68k/mvme162/tools/ChangeLog
===================================================================
--- c/src/lib/libbsp/m68k/mvme162/tools/ChangeLog	(revision 7df6efc5666063bbaad0c2ad70d4cf2273b8dd0b)
+++ c/src/lib/libbsp/m68k/mvme162/tools/ChangeLog	(revision 97891e5ea3676281144768e1c26e124d01f9f6c6)
@@ -1,2 +1,6 @@
+2004-09-24	Ralf Corsepius <ralf_corsepius@rtems.org>
+
+	* configure.ac: Require automake > 1.9.
+
 2003-12-12	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
 
Index: c/src/lib/libbsp/m68k/mvme162/tools/configure.ac
===================================================================
--- c/src/lib/libbsp/m68k/mvme162/tools/configure.ac	(revision 7df6efc5666063bbaad0c2ad70d4cf2273b8dd0b)
+++ c/src/lib/libbsp/m68k/mvme162/tools/configure.ac	(revision 97891e5ea3676281144768e1c26e124d01f9f6c6)
@@ -10,5 +10,5 @@
 RTEMS_CANONICAL_TARGET_CPU
 
-AM_INIT_AUTOMAKE([no-define foreign 1.8])
+AM_INIT_AUTOMAKE([no-define foreign 1.9)
 AM_MAINTAINER_MODE
 
Index: c/src/lib/libbsp/m68k/mvme167/ChangeLog
===================================================================
--- c/src/lib/libbsp/m68k/mvme167/ChangeLog	(revision 7df6efc5666063bbaad0c2ad70d4cf2273b8dd0b)
+++ c/src/lib/libbsp/m68k/mvme167/ChangeLog	(revision 97891e5ea3676281144768e1c26e124d01f9f6c6)
@@ -1,2 +1,6 @@
+2004-09-24	Ralf Corsepius <ralf_corsepius@rtems.org>
+
+	* configure.ac: Require automake > 1.9.
+
 2004-04-23	Ralf Corsepius <ralf_corsepius@rtems.org>
 
Index: c/src/lib/libbsp/m68k/mvme167/configure.ac
===================================================================
--- c/src/lib/libbsp/m68k/mvme167/configure.ac	(revision 7df6efc5666063bbaad0c2ad70d4cf2273b8dd0b)
+++ c/src/lib/libbsp/m68k/mvme167/configure.ac	(revision 97891e5ea3676281144768e1c26e124d01f9f6c6)
@@ -9,5 +9,5 @@
 
 RTEMS_CANONICAL_TARGET_CPU
-AM_INIT_AUTOMAKE([no-define nostdinc foreign 1.8])
+AM_INIT_AUTOMAKE([no-define nostdinc foreign 1.9)
 RTEMS_BSP_CONFIGURE
 
Index: c/src/lib/libbsp/m68k/ods68302/ChangeLog
===================================================================
--- c/src/lib/libbsp/m68k/ods68302/ChangeLog	(revision 7df6efc5666063bbaad0c2ad70d4cf2273b8dd0b)
+++ c/src/lib/libbsp/m68k/ods68302/ChangeLog	(revision 97891e5ea3676281144768e1c26e124d01f9f6c6)
@@ -1,2 +1,6 @@
+2004-09-24	Ralf Corsepius <ralf_corsepius@rtems.org>
+
+	* configure.ac: Require automake > 1.9.
+
 2004-04-23	Ralf Corsepius <ralf_corsepius@rtems.org>
 
Index: c/src/lib/libbsp/m68k/ods68302/configure.ac
===================================================================
--- c/src/lib/libbsp/m68k/ods68302/configure.ac	(revision 7df6efc5666063bbaad0c2ad70d4cf2273b8dd0b)
+++ c/src/lib/libbsp/m68k/ods68302/configure.ac	(revision 97891e5ea3676281144768e1c26e124d01f9f6c6)
@@ -9,5 +9,5 @@
 
 RTEMS_CANONICAL_TARGET_CPU
-AM_INIT_AUTOMAKE([no-define nostdinc foreign 1.8])
+AM_INIT_AUTOMAKE([no-define nostdinc foreign 1.9)
 RTEMS_BSP_CONFIGURE
 
Index: c/src/lib/libbsp/m68k/sim68000/ChangeLog
===================================================================
--- c/src/lib/libbsp/m68k/sim68000/ChangeLog	(revision 7df6efc5666063bbaad0c2ad70d4cf2273b8dd0b)
+++ c/src/lib/libbsp/m68k/sim68000/ChangeLog	(revision 97891e5ea3676281144768e1c26e124d01f9f6c6)
@@ -1,2 +1,6 @@
+2004-09-24	Ralf Corsepius <ralf_corsepius@rtems.org>
+
+	* configure.ac: Require automake > 1.9.
+
 2004-04-23	Ralf Corsepius <ralf_corsepius@rtems.org>
 
Index: c/src/lib/libbsp/m68k/sim68000/configure.ac
===================================================================
--- c/src/lib/libbsp/m68k/sim68000/configure.ac	(revision 7df6efc5666063bbaad0c2ad70d4cf2273b8dd0b)
+++ c/src/lib/libbsp/m68k/sim68000/configure.ac	(revision 97891e5ea3676281144768e1c26e124d01f9f6c6)
@@ -9,5 +9,5 @@
 
 RTEMS_CANONICAL_TARGET_CPU
-AM_INIT_AUTOMAKE([no-define nostdinc foreign 1.8])
+AM_INIT_AUTOMAKE([no-define nostdinc foreign 1.9)
 RTEMS_BSP_CONFIGURE
 