Index: c/src/lib/libbsp/powerpc/ep1a/ChangeLog
===================================================================
--- c/src/lib/libbsp/powerpc/ep1a/ChangeLog	(revision faf168fe82f012bc92674290e74d42b6982b6bdc)
+++ c/src/lib/libbsp/powerpc/ep1a/ChangeLog	(revision 99856a33603c9ff1a3affe047c3464865d6d2c02)
@@ -1,2 +1,9 @@
+2007-12-04	Joel Sherrill <joel.sherrill@OARcorp.com>
+
+	* Makefile.am, include/bsp.h, startup/bspstart.c: Move
+	interrupt_stack_size field from CPU Table to Configuration Table.
+	Eliminate CPU Table from all ports. Delete references to CPU Table in
+	all forms.
+
 2007-12-03	Joel Sherrill <joel.sherrill@OARcorp.com>
 
Index: c/src/lib/libbsp/powerpc/ep1a/Makefile.am
===================================================================
--- c/src/lib/libbsp/powerpc/ep1a/Makefile.am	(revision faf168fe82f012bc92674290e74d42b6982b6bdc)
+++ c/src/lib/libbsp/powerpc/ep1a/Makefile.am	(revision 99856a33603c9ff1a3affe047c3464865d6d2c02)
@@ -26,7 +26,7 @@
 noinst_PROGRAMS += startup.rel
 startup_rel_SOURCES = startup/bspstart.c ../../shared/bootcard.c \
-    ../../shared/bsppost.c ../../shared/bsplibc.c \
-    ../../powerpc/shared/startup/sbrk.c ../../shared/bspclean.c \
-    ../../shared/gnatinstallhandler.c \
+    ../../shared/bsppost.c ../../shared/bsppredriverhook.c \
+    ../../shared/bsplibc.c ../../powerpc/shared/startup/sbrk.c \
+    ../../shared/bspclean.c ../../shared/gnatinstallhandler.c \
     ../../powerpc/shared/startup/pgtbl_setup.c \
     ../../powerpc/shared/startup/pgtbl_activate.c \
Index: c/src/lib/libbsp/powerpc/ep1a/include/bsp.h
===================================================================
--- c/src/lib/libbsp/powerpc/ep1a/include/bsp.h	(revision faf168fe82f012bc92674290e74d42b6982b6bdc)
+++ c/src/lib/libbsp/powerpc/ep1a/include/bsp.h	(revision 99856a33603c9ff1a3affe047c3464865d6d2c02)
@@ -30,5 +30,4 @@
 
 #define CONFIGURE_NUMBER_OF_TERMIOS_PORTS 2
-#define CONFIGURE_INTERRUPT_STACK_MEMORY  (16 * 1024)
 
 /* fundamental addresses for BSP (CHRPxxx and PREPxxx are from libcpu/io.h) */
Index: c/src/lib/libbsp/powerpc/ep1a/startup/bspstart.c
===================================================================
--- c/src/lib/libbsp/powerpc/ep1a/startup/bspstart.c	(revision faf168fe82f012bc92674290e74d42b6982b6bdc)
+++ c/src/lib/libbsp/powerpc/ep1a/startup/bspstart.c	(revision 99856a33603c9ff1a3affe047c3464865d6d2c02)
@@ -109,8 +109,7 @@
 
 /*
- * system init stack and soft ir stack size
+ * system init stack 
  */
 #define INIT_STACK_SIZE 0x1000
-#define INTR_STACK_SIZE CONFIGURE_INTERRUPT_STACK_MEMORY
 
 void BSP_panic(char *s)
@@ -132,9 +131,5 @@
 
 extern rtems_configuration_table Configuration;
-
 rtems_configuration_table  BSP_Configuration;
-
-rtems_cpu_table Cpu_table;
-
 char *rtems_progname;
 
@@ -207,5 +202,6 @@
   extern uint32_t _bsp_sbrk_init(uint32_t, uint32_t*);
   
-  heap_start = ((uint32_t) __rtems_end) +INIT_STACK_SIZE + INTR_STACK_SIZE;
+  heap_start = ((uint32_t) __rtems_end) +
+    INIT_STACK_SIZE + rtems_configuration_get_interrupt_stack_size();
   if (heap_start & (CPU_ALIGNMENT-1))
     heap_start = (heap_start + CPU_ALIGNMENT) & ~(CPU_ALIGNMENT-1);
@@ -370,6 +366,4 @@
   Read_ep1a_config_registers( myCpu );
 
-  Cpu_table.interrupt_stack_size = CONFIGURE_INTERRUPT_STACK_MEMORY;
-
   bsp_clicks_per_usec = BSP_processor_frequency/(BSP_time_base_divisor * 1000);
 
@@ -401,5 +395,6 @@
    */
   intrStack = ((uint32_t) __rtems_end) +
-          INIT_STACK_SIZE + INTR_STACK_SIZE - PPC_MINIMUM_STACK_FRAME_SIZE;
+    INIT_STACK_SIZE + rtems_configuration_get_interrupt_stack_size() - 
+    PPC_MINIMUM_STACK_FRAME_SIZE;
 
   /* make sure it's properly aligned */
@@ -457,5 +452,6 @@
     (unsigned char *)BSP_mem_size - BSP_Configuration.work_space_size;
 
-  if ( work_space_start <= ((unsigned char *)__rtems_end) + INIT_STACK_SIZE + INTR_STACK_SIZE) {
+  if ( work_space_start <= ((unsigned char *)__rtems_end) + 
+        INIT_STACK_SIZE + rtems_configuration_get_interrupt_stack_size()) {
     printk( "bspstart: Not enough RAM!!!\n" );
     bsp_cleanup();