Index: testsuites/mptests/ChangeLog
===================================================================
--- testsuites/mptests/ChangeLog	(revision cb9b2bfcaa0979bed23e872600a198f7cb40d686)
+++ testsuites/mptests/ChangeLog	(revision 116845e8ad398403256229e035417a8d508abf9f)
@@ -1,2 +1,15 @@
+2002-08-01	Joel Sherrill <joel@OARcorp.com>
+
+	* Per PR47 add support for buffered test output.  This involved
+	adding defines to redirect output to a buffer and dump it when
+	full, at "test pause", and at exit.  To avoid problems when redefining
+	exit(), all tests were modified to call rtems_test_exit().
+	Some tests, notable psxtests, had to be modified to include 
+	the standard test macro .h file (pmacros.h or tmacros.h) to
+	enable this support.
+	* mp01/task1.c, mp02/task1.c, mp03/task1.c, mp04/task1.c, mp05/task1.c,
+	mp06/task1.c, mp07/task1.c, mp08/task1.c, mp09/task1.c, mp10/init.c,
+	mp11/init.c, mp12/init.c, mp13/init.c, mp13/task2.c: Modified.
+
 2002-04-14	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
 
Index: testsuites/mptests/mp01/task1.c
===================================================================
--- testsuites/mptests/mp01/task1.c	(revision cb9b2bfcaa0979bed23e872600a198f7cb40d686)
+++ testsuites/mptests/mp01/task1.c	(revision 116845e8ad398403256229e035417a8d508abf9f)
@@ -79,5 +79,5 @@
 
     puts( "*** END OF TEST 1 ***" );
-    exit(0);
+    rtems_test_exit(0);
   }
 }
Index: testsuites/mptests/mp02/task1.c
===================================================================
--- testsuites/mptests/mp02/task1.c	(revision cb9b2bfcaa0979bed23e872600a198f7cb40d686)
+++ testsuites/mptests/mp02/task1.c	(revision 116845e8ad398403256229e035417a8d508abf9f)
@@ -114,4 +114,4 @@
 
   puts( "*** END OF TEST 2 ***" );
-  exit( 0 );
+  rtems_test_exit( 0 );
 }
Index: testsuites/mptests/mp03/task1.c
===================================================================
--- testsuites/mptests/mp03/task1.c	(revision cb9b2bfcaa0979bed23e872600a198f7cb40d686)
+++ testsuites/mptests/mp03/task1.c	(revision 116845e8ad398403256229e035417a8d508abf9f)
@@ -151,4 +151,4 @@
 
   puts( "*** END OF TEST 3 ***" );
-  exit( 0 );
+  rtems_test_exit( 0 );
 }
Index: testsuites/mptests/mp04/task1.c
===================================================================
--- testsuites/mptests/mp04/task1.c	(revision cb9b2bfcaa0979bed23e872600a198f7cb40d686)
+++ testsuites/mptests/mp04/task1.c	(revision 116845e8ad398403256229e035417a8d508abf9f)
@@ -64,5 +64,5 @@
       remote_node
     );
-    exit( 0xf0000 );
+    rtems_test_exit( 0xf0000 );
   }
 
@@ -79,4 +79,4 @@
 
   puts( "*** END OF TEST 4 ***" );
-  exit( 0 );
+  rtems_test_exit( 0 );
 }
Index: testsuites/mptests/mp05/task1.c
===================================================================
--- testsuites/mptests/mp05/task1.c	(revision cb9b2bfcaa0979bed23e872600a198f7cb40d686)
+++ testsuites/mptests/mp05/task1.c	(revision 116845e8ad398403256229e035417a8d508abf9f)
@@ -102,4 +102,4 @@
   }
   puts( "\n*** END OF TEST 5 ***" );
-  exit( 0 );
+  rtems_test_exit( 0 );
 }
Index: testsuites/mptests/mp06/task1.c
===================================================================
--- testsuites/mptests/mp06/task1.c	(revision cb9b2bfcaa0979bed23e872600a198f7cb40d686)
+++ testsuites/mptests/mp06/task1.c	(revision 116845e8ad398403256229e035417a8d508abf9f)
@@ -172,4 +172,4 @@
   }
   puts( "*** END OF TEST 6 ***" );
-  exit( 0 );
+  rtems_test_exit( 0 );
 }
Index: testsuites/mptests/mp07/task1.c
===================================================================
--- testsuites/mptests/mp07/task1.c	(revision cb9b2bfcaa0979bed23e872600a198f7cb40d686)
+++ testsuites/mptests/mp07/task1.c	(revision 116845e8ad398403256229e035417a8d508abf9f)
@@ -99,4 +99,4 @@
 
   puts( "\n*** END OF TEST 7 ***" );
-  exit( 0 );
+  rtems_test_exit( 0 );
 }
Index: testsuites/mptests/mp08/task1.c
===================================================================
--- testsuites/mptests/mp08/task1.c	(revision cb9b2bfcaa0979bed23e872600a198f7cb40d686)
+++ testsuites/mptests/mp08/task1.c	(revision 116845e8ad398403256229e035417a8d508abf9f)
@@ -66,5 +66,5 @@
       puts( "\nGlobal semaphore deleted" );
       puts( "*** END OF TEST 8 ***" );
-      exit( 0 );
+      rtems_test_exit( 0 );
     }
 
@@ -78,5 +78,5 @@
 
       puts( "*** END OF TEST 8 ***" );
-      exit( 0 );
+      rtems_test_exit( 0 );
     }
     else {
Index: testsuites/mptests/mp09/task1.c
===================================================================
--- testsuites/mptests/mp09/task1.c	(revision cb9b2bfcaa0979bed23e872600a198f7cb40d686)
+++ testsuites/mptests/mp09/task1.c	(revision 116845e8ad398403256229e035417a8d508abf9f)
@@ -105,4 +105,4 @@
 
   puts( "*** END OF TEST 9 ***" );
-  exit( 0 );
+  rtems_test_exit( 0 );
 }
Index: testsuites/mptests/mp10/init.c
===================================================================
--- testsuites/mptests/mp10/init.c	(revision cb9b2bfcaa0979bed23e872600a198f7cb40d686)
+++ testsuites/mptests/mp10/init.c	(revision 116845e8ad398403256229e035417a8d508abf9f)
@@ -139,4 +139,4 @@
   }
   puts( "*** END OF TEST 10 ***" );
-  exit( 0 );
+  rtems_test_exit( 0 );
 }
Index: testsuites/mptests/mp11/init.c
===================================================================
--- testsuites/mptests/mp11/init.c	(revision cb9b2bfcaa0979bed23e872600a198f7cb40d686)
+++ testsuites/mptests/mp11/init.c	(revision 116845e8ad398403256229e035417a8d508abf9f)
@@ -101,4 +101,4 @@
   }
   puts( "*** END OF TEST 11 ***" );
-  exit( 0 );
+  rtems_test_exit( 0 );
 }
Index: testsuites/mptests/mp12/init.c
===================================================================
--- testsuites/mptests/mp12/init.c	(revision cb9b2bfcaa0979bed23e872600a198f7cb40d686)
+++ testsuites/mptests/mp12/init.c	(revision 116845e8ad398403256229e035417a8d508abf9f)
@@ -109,4 +109,4 @@
  }
  puts( "*** END OF TEST 12 ***" );
- exit( 0 );
+ rtems_test_exit( 0 );
 }
Index: testsuites/mptests/mp13/init.c
===================================================================
--- testsuites/mptests/mp13/init.c	(revision cb9b2bfcaa0979bed23e872600a198f7cb40d686)
+++ testsuites/mptests/mp13/init.c	(revision 116845e8ad398403256229e035417a8d508abf9f)
@@ -107,5 +107,5 @@
 
     puts( "*** END OF TEST 13 ***" );
-    exit( 0 );
+    rtems_test_exit( 0 );
   }
   puts( "Deleting initialization task" );
Index: testsuites/mptests/mp13/task2.c
===================================================================
--- testsuites/mptests/mp13/task2.c	(revision cb9b2bfcaa0979bed23e872600a198f7cb40d686)
+++ testsuites/mptests/mp13/task2.c	(revision 116845e8ad398403256229e035417a8d508abf9f)
@@ -102,4 +102,4 @@
 
   puts( "*** END OF TEST 13 ***" );
-  exit( 0 );
+  rtems_test_exit( 0 );
 }