Index: tester/covoar/covoar.cc
===================================================================
--- tester/covoar/covoar.cc	(revision c432d89fa3f88896945bc764c09152c77deaa1ac)
+++ tester/covoar/covoar.cc	(revision 149144fef9a1ca31e8cbbcf517d8149d8a902a91)
@@ -45,11 +45,11 @@
 char*                                progname;
 const char*                          symbolsFile = NULL;
-const char*		             gcnosFileName = NULL;
-char				     gcnoFileName[FILE_NAME_LENGTH];
-char				     gcdaFileName[FILE_NAME_LENGTH];
-char				     gcovBashCommand[256];
+const char*                          gcnosFileName = NULL;
+char                                 gcnoFileName[FILE_NAME_LENGTH];
+char                                 gcdaFileName[FILE_NAME_LENGTH];
+char                                 gcovBashCommand[256];
 const char*                          target = NULL;
 const char*                          format = NULL;
-FILE*				     gcnosFile = NULL;
+FILE*                                gcnosFile = NULL;
 Gcov::GcovData*          gcovFile;
 
@@ -167,61 +167,61 @@
   try
   {
-   /*
-	* Validate inputs.
-	*/
-
-   /*
-	* Target name must be set.
-	*/
-	if ( !target ) {
-	  option = "target -T";
-	  throw option;
-	}
-
-   /*
-	* Validate simulator format.
-	*/
-	if ( !format ) {
-	  option = "format -f";
-	  throw option;
-	}
-
-   /*
-	* Has path to explanations.txt been specified.
-	*/
-	if ( !explanations ) {
-	  option = "explanations -E";
-	  throw option;
-	}
-
-   /*
-	* Has coverage file extension been specified.
-	*/
-	if ( !coverageFileExtension ) {
-	  option = "coverage extension -c";
-	  throw option;
-	}
-
-   /*
-	* Has executable extension been specified.
-	*/
-	if ( !executableExtension ) {
-	  option = "executable extension -e";
-	  throw option;
-	}
-
-   /*
-	* Check for project name.
-	*/
-	if ( !projectName ) {
-	  option = "project name -p";
-	  throw option;
-	}
+    /*
+     * Validate inputs.
+     */
+
+    /*
+     * Target name must be set.
+     */
+    if ( !target ) {
+      option = "target -T";
+      option;
+    }
+
+    /*
+     * Validate simulator format.
+     */
+    if ( !format ) {
+      option = "format -f";
+      throw option;
+    }
+
+    /*
+     * Has path to explanations.txt been specified.
+     */
+    if ( !explanations ) {
+      option = "explanations -E";
+      throw option;
+    }
+
+    /*
+     * Has coverage file extension been specified.
+     */
+    if ( !coverageFileExtension ) {
+      option = "coverage extension -c";
+      throw option;
+    }
+
+    /*
+     * Has executable extension been specified.
+     */
+    if ( !executableExtension ) {
+      option = "executable extension -e";
+      throw option;
+    }
+
+    /*
+     * Check for project name.
+     */
+    if ( !projectName ) {
+      option = "project name -p";
+      throw option;
+    }
   }
   catch( std::string option )
   {
-	std::cout << "error missing option: " + option << std::endl;
-	usage();
-	throw;
+    std::cout << "error missing option: " + option << std::endl;
+    usage();
+    throw;
   }
 
@@ -237,10 +237,7 @@
         singleExecutable
       );
-    }
-
-    else {
+    } else {
 
       for (i=optind; i < argc; i++) {
-
         // Ensure that the coverage file is readable.
         if (!FileIsReadable( argv[i] )) {
@@ -250,8 +247,7 @@
             argv[i]
           );
+        } else {
+          coverageFileNames.push_back( argv[i] );
         }
-
-        else
-          coverageFileNames.push_back( argv[i] );
       }
 
@@ -259,10 +255,11 @@
       // executable information.
       if (!coverageFileNames.empty()) {
-        if (dynamicLibrary)
+        if (dynamicLibrary) {
           executableInfo = new Coverage::ExecutableInfo(
             singleExecutable, dynamicLibrary
           );
-        else
+        } else {
           executableInfo = new Coverage::ExecutableInfo( singleExecutable );
+        }
 
         executablesToAnalyze.push_back( executableInfo );
@@ -283,7 +280,5 @@
           argv[i]
         );
-      }
-
-      else {
+      } else {
         coverageFileName = argv[i];
         coverageFileName.replace(
@@ -299,7 +294,5 @@
             coverageFileName.c_str()
           );
-        }
-
-        else {
+        } else {
           executableInfo = new Coverage::ExecutableInfo( argv[i] );
           executablesToAnalyze.push_back( executableInfo );
@@ -319,14 +312,15 @@
 
   if (Verbose) {
-    if (singleExecutable)
+    if (singleExecutable) {
       fprintf(
         stderr,
         "Processing a single executable and multiple coverage files\n"
       );
-    else
+    } else {
       fprintf(
         stderr,
         "Processing multiple executable/coverage file pairs\n"
       );
+    }
     fprintf( stderr, "Coverage Format : %s\n", format );
     fprintf( stderr, "Target          : %s\n", PrintableString(target) );
@@ -336,16 +330,16 @@
     eitr = executablesToAnalyze.begin();
     for (citr = coverageFileNames.begin();
-	 citr != coverageFileNames.end();
-	 citr++) {
-
-	fprintf(
-	  stderr,
-	  "Coverage file %s for executable %s\n",
-	  (*citr).c_str(),
-	  ((*eitr)->getFileName()).c_str()
-	);
-
-	if (!singleExecutable)
-	  eitr++;
+         citr != coverageFileNames.end();
+         citr++) {
+
+      fprintf(
+        stderr,
+        "Coverage file %s for executable %s\n",
+        (*citr).c_str(),
+        ((*eitr)->getFileName()).c_str()
+      );
+
+      if (!singleExecutable)
+        eitr++;
     }
 #endif
@@ -362,5 +356,5 @@
   SymbolsToAnalyze = new Coverage::DesiredSymbols();
   SymbolsToAnalyze->load( symbolsFile );
-  if (Verbose)
+  if (Verbose) {
     fprintf(
       stderr,
@@ -368,4 +362,5 @@
       (unsigned int) SymbolsToAnalyze->set.size()
     );
+  }
 
   // Create explanations.
@@ -389,5 +384,5 @@
        eitr++) {
 
-    if (Verbose)
+    if (Verbose) {
       fprintf(
         stderr,
@@ -395,10 +390,12 @@
         ((*eitr)->getFileName()).c_str()
       );
+    }
 
     // If a dynamic library was specified, determine the load address.
-    if (dynamicLibrary)
+    if (dynamicLibrary) {
       (*eitr)->setLoadAddress(
         objdumpProcessor->determineLoadAddress( *eitr )
       );
+    }
 
     // Load the objdump for the symbols in this executable.
@@ -416,5 +413,5 @@
        citr++) {
 
-    if (Verbose)
+    if (Verbose) {
       fprintf(
         stderr,
@@ -423,4 +420,5 @@
         ((*eitr)->getFileName()).c_str()
       );
+    }
 
     // Process its coverage file.
@@ -433,11 +431,13 @@
     //(*eitr)->dumpExecutableInfo();
 
-    if (!singleExecutable)
+    if (!singleExecutable) {
       eitr++;
+    }
   }
 
   // Do necessary preprocessing of uncovered ranges and branches
-  if (Verbose)
+  if (Verbose) {
     fprintf( stderr, "Preprocess uncovered ranges and branches\n" );
+  }
   SymbolsToAnalyze->preprocess();
 
@@ -445,6 +445,7 @@
   // Generate Gcov reports
   //
-  if (Verbose)
+  if (Verbose) {
     fprintf( stderr, "Generating Gcov reports...\n");
+  }
   gcnosFile = fopen ( gcnosFileName , "r" );
 
@@ -457,6 +458,7 @@
       strcpy( gcnoFileName, inputBuffer );
 
-      if ( Verbose )
-	fprintf( stderr, "Processing file: %s\n", gcnoFileName );
+      if ( Verbose ) {
+        fprintf( stderr, "Processing file: %s\n", gcnoFileName );
+      }
 
       if ( gcovFile->readGcnoFile( gcnoFileName ) ) {
@@ -470,22 +472,25 @@
       delete gcovFile;
     }
-  fclose( gcnosFile );
+    fclose( gcnosFile );
   }
 
   // Determine the uncovered ranges and branches.
-  if (Verbose)
+  if (Verbose) {
     fprintf( stderr, "Computing uncovered ranges and branches\n" );
+  }
   SymbolsToAnalyze->computeUncovered();
 
   // Calculate remainder of statistics.
-  if (Verbose)
+  if (Verbose) {
     fprintf( stderr, "Calculate statistics\n" );
+  }
   SymbolsToAnalyze->calculateStatistics();
 
   // Look up the source lines for any uncovered ranges and branches.
-  if (Verbose)
+  if (Verbose) {
     fprintf(
       stderr, "Looking up source lines for uncovered ranges and branches\n"
     );
+  }
   SymbolsToAnalyze->findSourceForUncovered();
 
@@ -493,8 +498,9 @@
   // Report the coverage data.
   //
-  if (Verbose)
+  if (Verbose) {
     fprintf(
       stderr, "Generate Reports\n"
     );
+  }
   Coverage::GenerateReports();
 
@@ -507,6 +513,7 @@
     notFound += "ExplanationsNotFound.txt";
 
-    if (Verbose)
+    if (Verbose) {
       fprintf( stderr, "Writing Not Found Report (%s)\n", notFound.c_str() );
+    }
     AllExplanations->writeNotFound( notFound.c_str() );
   }
@@ -514,8 +521,8 @@
   //Leave tempfiles around if debug flag (-d) is enabled.
   if ( debug ) {
-	objdumpFile.override( "objdump_file" );
-	objdumpFile.keep();
-	err.override( "objdump_exec_log" );
-	err.keep();
+    objdumpFile.override( "objdump_file" );
+    objdumpFile.keep();
+    err.override( "objdump_exec_log" );
+    err.keep();
   }
   return 0;