Index: c_user/overview.rst
===================================================================
--- c_user/overview.rst	(revision bc37517746afcf942537f788000d79b8ed68f933)
+++ c_user/overview.rst	(revision 170418af2d8937d42efd3ee2918adc433ec3bacf)
@@ -121,5 +121,5 @@
 localized to the low level device drivers.
 
-.. figure:: rtemsarc.png
+.. figure:: ../images/c_user/rtemsarc.png
          :width: 488
          :height: 100px
@@ -147,5 +147,5 @@
 following figure illustrates this organization:
 
-.. figure:: rtemspie.png
+.. figure:: ../images/c_user/rtemspie.png
          :width: 70%
          :align: center
Index: c_user/scheduling_concepts.rst
===================================================================
--- c_user/scheduling_concepts.rst	(revision bc37517746afcf942537f788000d79b8ed68f933)
+++ c_user/scheduling_concepts.rst	(revision 170418af2d8937d42efd3ee2918adc433ec3bacf)
@@ -328,5 +328,5 @@
 other system resources.
 
-.. figure:: states.png
+.. figure:: ../images/c_user/states.png
          :width: 70%
          :align: center
Index: c_user/semaphore_manager.rst
===================================================================
--- c_user/semaphore_manager.rst	(revision bc37517746afcf942537f788000d79b8ed68f933)
+++ c_user/semaphore_manager.rst	(revision 170418af2d8937d42efd3ee2918adc433ec3bacf)
@@ -242,5 +242,5 @@
 following tree figure illustrates the valid combinations.
 
-.. figure:: semaphore_attributes.png
+.. figure:: ../images/c_user/semaphore_attributes.png
          :width: 90%
          :align: center
Index: common/waf.py
===================================================================
--- common/waf.py	(revision bc37517746afcf942537f788000d79b8ed68f933)
+++ common/waf.py	(revision 170418af2d8937d42efd3ee2918adc433ec3bacf)
@@ -120,7 +120,7 @@
 
 def html_resources(ctx):
-	for dir in ["_static", "_templates"]:
-		files = ctx.path.parent.find_node("common").ant_glob("%s/*" % dir)
-		ctx.path.get_bld().make_node(dir).mkdir() # dirs
+	for dir_name in ["_static", "_templates"]:
+		files = ctx.path.parent.find_node("common").ant_glob("%s/*" % dir_name)
+		ctx.path.get_bld().make_node(dir_name).mkdir() # dirs
 
 		ctx(
@@ -128,6 +128,18 @@
 			is_copy     = True,
 			source      = files,
-			target      = [ctx.bldnode.find_node(dir).get_bld().make_node(x.name) for x in files]
+			target      = [ctx.bldnode.find_node(dir_name).get_bld().make_node(x.name) for x in files]
 		)
+
+	# copy images
+#	ctx.path.get_bld().make_node("images").mkdir()
+#	files = ctx.path.parent.ant_glob("images/**")
+#	ctx(
+#		features    = "subst",
+#		is_copy     = True,
+#		source      = files,
+#		target      = [x.srcpath().replace("../", "") for x in files]
+#	)
+
+
 
 
Index: networking/dec_21140.rst
===================================================================
--- networking/dec_21140.rst	(revision bc37517746afcf942537f788000d79b8ed68f933)
+++ networking/dec_21140.rst	(revision 170418af2d8937d42efd3ee2918adc433ec3bacf)
@@ -60,5 +60,5 @@
 
 
-.. image:: images/PCIreg.jpg
+.. image:: ../images/networking/PCIreg.jpg
 
 
@@ -124,5 +124,5 @@
 
 
-.. image:: images/recvbd.jpg
+.. image:: images/networking/recvbd.jpg
 
 
Index: networking/network_task_structure.rst
===================================================================
--- networking/network_task_structure.rst	(revision bc37517746afcf942537f788000d79b8ed68f933)
+++ networking/network_task_structure.rst	(revision 170418af2d8937d42efd3ee2918adc433ec3bacf)
@@ -10,5 +10,5 @@
 networking application is shown in the following figure:
 
-.. image:: images/networkflow.jpg
+.. image:: ../images/networking/networkflow.jpg
 
 
Index: user/start/depend.rst
===================================================================
--- user/start/depend.rst	(revision bc37517746afcf942537f788000d79b8ed68f933)
+++ user/start/depend.rst	(revision 170418af2d8937d42efd3ee2918adc433ec3bacf)
@@ -244,5 +244,5 @@
 Open a 64bit MSYS shell from the Start Menu:
 
-.. figure:: msys2-minw64-start-menu.png
+.. figure:: ../../images/msys2-minw64-start-menu.png
   :width: 50%
   :align: center